Issue 91400 - Error when saving some RTF document in ODT format
Summary: Error when saving some RTF document in ODT format
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: save-export (show other issues)
Version: OOo 3.0 Beta 2
Hardware: PC All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2008-07-05 16:31 UTC by jbf.faure
Modified: 2013-08-07 14:43 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
RTF document that can't be exported as odt file (29.41 KB, text/rtf)
2008-07-05 16:33 UTC, jbf.faure
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description jbf.faure 2008-07-05 16:31:16 UTC
Attached RTF document can't be saved as ODT file by OOo 3 beta 2 RC1 and 
Dev300_m22.
Error message is :
"Error saving the document ...
Error in writing sub-document content.xml"

Maybe issue is in numbering paragraphes.

Attached document is exported in odt by OOo 2.4.1 without problem.
Comment 1 jbf.faure 2008-07-05 16:33:17 UTC
Created attachment 54960 [details]
RTF document that can't be exported as odt file
Comment 2 michael.ruess 2008-07-07 12:43:06 UTC
MRU->OD: I guess, that the Outline numbering may be involved here - I cannot see
any other critical stuff in this quite simple document. Saving the RTF as odt
will result in an error writing the content.xml.
Comment 3 Oliver-Rainer Wittmann 2008-07-08 16:03:36 UTC
fixed in cws sw30bf08 - changed files:
/sw/inc/IDocumentListsAccess.hxx, 1.2.34.1
/sw/inc/doc.hxx, 1.153.30.1
/sw/inc/numrule.hxx, 1.37.32.1
/sw/source/core/doc/docnum.cxx, 1.75.32.1
/sw/source/core/doc/number.cxx, 1.51.32.1
/sw/source/filter/rtf/rtfnum.cxx, 1.25.34.1
/sw/source/ui/app/docst.cxx, 1.35.34.1
/sw/source/ui/app/docstyle.cxx, 1.33.32.1

defect cause:
change of list style name is not tracking to keep data of list style's default
list up-to-date. Thus, for further list styles not default list is created. This
causes the inability to store the document in ODF.
Comment 4 Oliver-Rainer Wittmann 2008-07-10 09:25:18 UTC
OD->MRU: Checked in internal installation set of cws sw30bf08 - please verify.
Comment 5 michael.ruess 2008-07-10 14:36:35 UTC
Verified in CWS sw30bf08.
Comment 6 michael.ruess 2008-07-18 15:31:16 UTC
Checked fix in DEV300m25.